package com.eclipsesource.v8.utils;

import com.tencent.matrix.trace.core.AppMethodBeat;
import java.util.List;

class V8ObjectUtils$ListWrapper {
    private List<? extends Object> list;

    public V8ObjectUtils$ListWrapper(List<? extends Object> list) {
        this.list = list;
    }

    public boolean equals(Object obj) {
        if ((obj instanceof V8ObjectUtils$ListWrapper) && ((V8ObjectUtils$ListWrapper) obj).list == this.list) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        AppMethodBeat.i(75105);
        int identityHashCode = System.identityHashCode(this.list);
        AppMethodBeat.o(75105);
        return identityHashCode;
    }
}
